use rust_ipmi::{IPMIClient, NetFn};
fn main() {
    let connection_string = "192.168.11.132:443";
    println!("Hello, world! {}", connection_string);
    let mut client: IPMIClient = IPMIClient::new(connection_string).expect("Failed to create ipmi client");

    client.establish_connection("root", "YOUR_PASSWORD")
        .expect("Failed to establish connection with the BMC");

    let response = client.send_raw_request(NetFn::App, 0x3b, Some(vec![0x04]));

    match response {
        Ok(response) => println!("{}", response),
        Err(err) => println!("Got error {:?}", err),
    }
}
